import { RouterModule, Routes } from '@angular/router';
import { NgModule } from '@angular/core';
import { CountryOpenScienceComponent } from './country-open-science.component';
import { CountryOSPublicationsComponent } from './publications/country-os-publications.component';
import { CountryOSDatasetsComponent } from './datasets/country-os-datasets.component';
import { CountryOSSoftwareComponent } from './software/country-os-software.component';
import { CountryOSORPComponent } from './other-research-products/country-os-orp.component';


const continentOpenScienceRoutes: Routes = [
  {
    path: '',
    component: CountryOpenScienceComponent,
    children : [
      {
        path: '',
        redirectTo: 'publications',
        pathMatch: 'full',
      },
      {
        path: 'publications',
        // path: 'publications/:label',
        component: CountryOSPublicationsComponent,
      },
      {
        path: 'datasets',
        component: CountryOSDatasetsComponent,
      },
      {
        path: 'software',
        component: CountryOSSoftwareComponent,
      },
      {
        path: 'other-research-products',
        component: CountryOSORPComponent,
      },
    ]
  },
];

@NgModule ({
  imports: [RouterModule.forChild(continentOpenScienceRoutes)],
  exports: [RouterModule]
})

export class CountryOpenScienceRoutingModule {}
